<html>
<head>
<title>OGRE: Ogre::RenderQueueInvocation Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1RenderQueueInvocation.html">RenderQueueInvocation</a></div>
<h1>Ogre::RenderQueueInvocation Class Reference</h1><!-- doxytag: class="Ogre::RenderQueueInvocation" -->Class representing the invocation of queue groups in a <a class="el" href="classOgre_1_1RenderQueue.html" title="Class to manage the scene object rendering queue.">RenderQueue</a>.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreRenderQueueInvocation_8h-source.html">OgreRenderQueueInvocation.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1RenderQueueInvocation-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#3d39a060f8661edc40b81a09facc965b">RenderQueueInvocation</a> (<a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> renderQueueGroupID, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;invocationName=<a class="el" href="classOgre_1_1StringUtil.html#d2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a>)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor.  <a href="#3d39a060f8661edc40b81a09facc965b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#22e4baf98518befdcd09e606f7edcc5a">~RenderQueueInvocation</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#e4fa00491fa5cf3bebfc7816240f4418">getRenderQueueGroupID</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the render queue group id.  <a href="#e4fa00491fa5cf3bebfc7816240f4418"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#9661bf4bc551c597918ffd3b87b2826e">getInvocationName</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the invocation name (may be blank if not set by creator).  <a href="#9661bf4bc551c597918ffd3b87b2826e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#6a37071d01a609e279081a906a856dc1">setSolidsOrganisation</a> (<a class="el" href="classOgre_1_1QueuedRenderableCollection.html#b44ba16fe8e8c0247234d4e6edfae844">QueuedRenderableCollection::OrganisationMode</a> org)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the organisation mode being used for solids in this queue group invocation.  <a href="#6a37071d01a609e279081a906a856dc1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <br>
<a class="el" href="classOgre_1_1QueuedRenderableCollection.html#b44ba16fe8e8c0247234d4e6edfae844">QueuedRenderableCollection::OrganisationMode</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#e7a631496cc38bd768569605b5dba3c5">getSolidsOrganisation</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the organisation mode being used for solids in this queue group invocation.  <a href="#e7a631496cc38bd768569605b5dba3c5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#bc2c82b2c2d72aede9a6a560235e7c27">setSuppressShadows</a> (bool suppress)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets whether shadows are suppressed when invoking this queue.  <a href="#bc2c82b2c2d72aede9a6a560235e7c27"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#878fae20bf95f1dff6e4de60340df620">getSuppressShadows</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets whether shadows are suppressed when invoking this queue.  <a href="#878fae20bf95f1dff6e4de60340df620"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#4d3821747ee0588c65bfc48982c7e37b">setSuppressRenderStateChanges</a> (bool suppress)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets whether render state changes are suppressed when invoking this queue.  <a href="#4d3821747ee0588c65bfc48982c7e37b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#ad7b785b1150206ad5adc732d4e7e7cf">getSuppressRenderStateChanges</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets whether shadows are suppressed when invoking this queue.  <a href="#ad7b785b1150206ad5adc732d4e7e7cf"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#172bce72efdb82be1e20e0f0b228d151">invoke</a> (<a class="el" href="classOgre_1_1RenderQueueGroup.html">RenderQueueGroup</a> *group, <a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *targetSceneManager)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Invoke this class on a concrete queue group.  <a href="#172bce72efdb82be1e20e0f0b228d151"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#27d41c4a90547ca4a976ac88c53fa3e6">RENDER_QUEUE_INVOCATION_SHADOWS</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Invocation identifier for shadows.  <a href="#27d41c4a90547ca4a976ac88c53fa3e6"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#9d62e3b89ff7a4c8788e6acfee402184">mRenderQueueGroupID</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Target queue group.  <a href="#9d62e3b89ff7a4c8788e6acfee402184"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#25a715bb1dac5418611625a26ea09c72">mInvocationName</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Invocation identifier - used in listeners.  <a href="#25a715bb1dac5418611625a26ea09c72"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#b44ba16fe8e8c0247234d4e6edfae844">QueuedRenderableCollection::OrganisationMode</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#96cbe4914fdc8bb421f8b62aff7a4c54">mSolidsOrganisation</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Solids ordering mode.  <a href="#96cbe4914fdc8bb421f8b62aff7a4c54"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#4eac5c298760a11cfe64daf860e638df">mSuppressShadows</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Suppress shadows processing in this invocation?  <a href="#4eac5c298760a11cfe64daf860e638df"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueInvocation.html#e262d7e8f6e75227b83bc816b1327fda">mSuppressRenderStateChanges</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Suppress OGRE's render state management?  <a href="#e262d7e8f6e75227b83bc816b1327fda"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class representing the invocation of queue groups in a <a class="el" href="classOgre_1_1RenderQueue.html" title="Class to manage the scene object rendering queue.">RenderQueue</a>. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The default behaviour for OGRE's render queue is to render each queue group in turn, dealing with shadows automatically, and rendering solids in grouped passes, followed by transparent objects in descending order. This class, together with <a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html" title="Class to hold a linear sequence of RenderQueueInvocation objects.">RenderQueueInvocationSequence</a> and the ability to associate one with a <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>, allows you to change that behaviour and render queue groups in arbitrary sequence, repeatedly, and to skip shadows, change the ordering of solids, or even prevent OGRE controlling the render state during a particular invocation for special effects. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>Note that whilst you can change the ordering of rendering solids, you can't change the ordering on transparent objects, since to do this would cause them to render incorrectly. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>As well as using this class directly and using the options it provides you with, you can also provide subclasses of it to a <a class="el" href="classOgre_1_1RenderQueueInvocationSequence.html" title="Class to hold a linear sequence of RenderQueueInvocation objects.">RenderQueueInvocationSequence</a> instance if you want to gain ultimate control. </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Invocations will be skipped if there are scene-level options preventing them being rendered - for example special-case render queues and render queue listeners that dictate this. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h-source.html#l00061">61</a> of file <a class="el" href="OgreRenderQueueInvocation_8h-source.html">OgreRenderQueueInvocation.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="3d39a060f8661edc40b81a09facc965b"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::RenderQueueInvocation" ref="3d39a060f8661edc40b81a09facc965b" args="(uint8 renderQueueGroupID, const String &amp;invocationName=StringUtil::BLANK)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::RenderQueueInvocation::RenderQueueInvocation           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td>
          <td class="paramname"> <em>renderQueueGroupID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>invocationName</em> = <code><a class="el" href="classOgre_1_1StringUtil.html#d2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a></code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Constructor. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>renderQueueGroupID</em>&nbsp;</td><td>ID of the queue this will target </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>invocationName</em>&nbsp;</td><td>Optional name to uniquely identify this invocation from others in a <a class="el" href="classOgre_1_1RenderQueueListener.html" title="Abstract interface which classes must implement if they wish to receive events from...">RenderQueueListener</a> </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="22e4baf98518befdcd09e606f7edcc5a"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::~RenderQueueInvocation" ref="22e4baf98518befdcd09e606f7edcc5a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::RenderQueueInvocation::~RenderQueueInvocation           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="e4fa00491fa5cf3bebfc7816240f4418"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::getRenderQueueGroupID" ref="e4fa00491fa5cf3bebfc7816240f4418" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> Ogre::RenderQueueInvocation::getRenderQueueGroupID           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the render queue group id. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h-source.html#l00085">85</a> of file <a class="el" href="OgreRenderQueueInvocation_8h-source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9661bf4bc551c597918ffd3b87b2826e"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::getInvocationName" ref="9661bf4bc551c597918ffd3b87b2826e" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::RenderQueueInvocation::getInvocationName           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the invocation name (may be blank if not set by creator). 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h-source.html#l00088">88</a> of file <a class="el" href="OgreRenderQueueInvocation_8h-source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6a37071d01a609e279081a906a856dc1"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::setSolidsOrganisation" ref="6a37071d01a609e279081a906a856dc1" args="(QueuedRenderableCollection::OrganisationMode org)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderQueueInvocation::setSolidsOrganisation           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#b44ba16fe8e8c0247234d4e6edfae844">QueuedRenderableCollection::OrganisationMode</a>&nbsp;</td>
          <td class="paramname"> <em>org</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set the organisation mode being used for solids in this queue group invocation. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h-source.html#l00093">93</a> of file <a class="el" href="OgreRenderQueueInvocation_8h-source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e7a631496cc38bd768569605b5dba3c5"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::getSolidsOrganisation" ref="e7a631496cc38bd768569605b5dba3c5" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#b44ba16fe8e8c0247234d4e6edfae844">QueuedRenderableCollection::OrganisationMode</a> Ogre::RenderQueueInvocation::getSolidsOrganisation           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the organisation mode being used for solids in this queue group invocation. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h-source.html#l00101">101</a> of file <a class="el" href="OgreRenderQueueInvocation_8h-source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="bc2c82b2c2d72aede9a6a560235e7c27"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::setSuppressShadows" ref="bc2c82b2c2d72aede9a6a560235e7c27" args="(bool suppress)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderQueueInvocation::setSuppressShadows           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>suppress</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets whether shadows are suppressed when invoking this queue. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>When doing effects you often will want to suppress shadow processing if shadows will already have been done by a previous render. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h-source.html#l00108">108</a> of file <a class="el" href="OgreRenderQueueInvocation_8h-source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="878fae20bf95f1dff6e4de60340df620"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::getSuppressShadows" ref="878fae20bf95f1dff6e4de60340df620" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::RenderQueueInvocation::getSuppressShadows           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets whether shadows are suppressed when invoking this queue. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h-source.html#l00113">113</a> of file <a class="el" href="OgreRenderQueueInvocation_8h-source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4d3821747ee0588c65bfc48982c7e37b"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::setSuppressRenderStateChanges" ref="4d3821747ee0588c65bfc48982c7e37b" args="(bool suppress)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderQueueInvocation::setSuppressRenderStateChanges           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>suppress</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets whether render state changes are suppressed when invoking this queue. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>When doing special effects you may want to set up render state yourself and have it apply for the entire rendering of a queue. In that case, you should call this method with a parameter of 'true', and use a <a class="el" href="classOgre_1_1RenderQueueListener.html" title="Abstract interface which classes must implement if they wish to receive events from...">RenderQueueListener</a> to set the render state directly on <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> yourself before the invocation. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>Suppressing render state changes is only intended for advanced use, don't use it if you're unsure of the effect. The only <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> calls made are to set the world matrix for each object (note - view an projection matrices are NOT SET - they are under your control) and to render the object; it is up to the caller to do everything else, including enabling any vertex / fragment programs and updating their parameter state, and binding parameters to the <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a>. We advise you use a <a class="el" href="classOgre_1_1RenderQueueListener.html" title="Abstract interface which classes must implement if they wish to receive events from...">RenderQueueListener</a> in order to get a notification when this invocation is going to happen (use an invocation name to identify it if you like), at which point you can set the state you need to apply before the objects are rendered. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h-source.html#l00135">135</a> of file <a class="el" href="OgreRenderQueueInvocation_8h-source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ad7b785b1150206ad5adc732d4e7e7cf"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::getSuppressRenderStateChanges" ref="ad7b785b1150206ad5adc732d4e7e7cf" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::RenderQueueInvocation::getSuppressRenderStateChanges           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets whether shadows are suppressed when invoking this queue. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h-source.html#l00140">140</a> of file <a class="el" href="OgreRenderQueueInvocation_8h-source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="172bce72efdb82be1e20e0f0b228d151"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::invoke" ref="172bce72efdb82be1e20e0f0b228d151" args="(RenderQueueGroup *group, SceneManager *targetSceneManager)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RenderQueueInvocation::invoke           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderQueueGroup.html">RenderQueueGroup</a> *&nbsp;</td>
          <td class="paramname"> <em>group</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&nbsp;</td>
          <td class="paramname"> <em>targetSceneManager</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Invoke this class on a concrete queue group. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Implementation will send the queue group to the target scene manager after doing what it needs to do. </dd></dl>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="9d62e3b89ff7a4c8788e6acfee402184"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::mRenderQueueGroupID" ref="9d62e3b89ff7a4c8788e6acfee402184" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="el" href="classOgre_1_1RenderQueueInvocation.html#9d62e3b89ff7a4c8788e6acfee402184">Ogre::RenderQueueInvocation::mRenderQueueGroupID</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Target queue group. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h-source.html#l00065">65</a> of file <a class="el" href="OgreRenderQueueInvocation_8h-source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="25a715bb1dac5418611625a26ea09c72"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::mInvocationName" ref="25a715bb1dac5418611625a26ea09c72" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1RenderQueueInvocation.html#25a715bb1dac5418611625a26ea09c72">Ogre::RenderQueueInvocation::mInvocationName</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Invocation identifier - used in listeners. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h-source.html#l00067">67</a> of file <a class="el" href="OgreRenderQueueInvocation_8h-source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="96cbe4914fdc8bb421f8b62aff7a4c54"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::mSolidsOrganisation" ref="96cbe4914fdc8bb421f8b62aff7a4c54" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#b44ba16fe8e8c0247234d4e6edfae844">QueuedRenderableCollection::OrganisationMode</a> <a class="el" href="classOgre_1_1RenderQueueInvocation.html#96cbe4914fdc8bb421f8b62aff7a4c54">Ogre::RenderQueueInvocation::mSolidsOrganisation</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Solids ordering mode. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h-source.html#l00069">69</a> of file <a class="el" href="OgreRenderQueueInvocation_8h-source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4eac5c298760a11cfe64daf860e638df"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::mSuppressShadows" ref="4eac5c298760a11cfe64daf860e638df" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderQueueInvocation.html#4eac5c298760a11cfe64daf860e638df">Ogre::RenderQueueInvocation::mSuppressShadows</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Suppress shadows processing in this invocation? 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h-source.html#l00071">71</a> of file <a class="el" href="OgreRenderQueueInvocation_8h-source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e262d7e8f6e75227b83bc816b1327fda"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::mSuppressRenderStateChanges" ref="e262d7e8f6e75227b83bc816b1327fda" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderQueueInvocation.html#e262d7e8f6e75227b83bc816b1327fda">Ogre::RenderQueueInvocation::mSuppressRenderStateChanges</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Suppress OGRE's render state management? 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h-source.html#l00073">73</a> of file <a class="el" href="OgreRenderQueueInvocation_8h-source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="27d41c4a90547ca4a976ac88c53fa3e6"></a><!-- doxytag: member="Ogre::RenderQueueInvocation::RENDER_QUEUE_INVOCATION_SHADOWS" ref="27d41c4a90547ca4a976ac88c53fa3e6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1RenderQueueInvocation.html#27d41c4a90547ca4a976ac88c53fa3e6">Ogre::RenderQueueInvocation::RENDER_QUEUE_INVOCATION_SHADOWS</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Invocation identifier for shadows. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueInvocation_8h-source.html#l00150">150</a> of file <a class="el" href="OgreRenderQueueInvocation_8h-source.html">OgreRenderQueueInvocation.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRenderQueueInvocation_8h-source.html">OgreRenderQueueInvocation.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:05 2008
</p>
</body>
</html>
